Name | Type | Default |
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
<template> <JqxSplitter ref="mySplitter" :width="600" :height="600" :disabled="true"> <div>Left Side</div> <div>Right Side</div> </JqxSplitter> </template>
<script> import JqxSplitter from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsplitter.vue';
|
height
|
Number | String
|
300
|
Sets or gets the jqxSplitter's height.
<template> <JqxSplitter ref="mySplitter" :width="600" :height="600"> <div>Left Side</div> <div>Right Side</div> </JqxSplitter> </template>
<script> import JqxSplitter from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsplitter.vue';
|
orientation
|
String
|
'vertical'
|
Sets or gets the orientation property.
<template> <JqxSplitter ref="mySplitter" :width="600" :height="600" :orientation="'horizontal'"> <div>Left Side</div> <div>Right Side</div> </JqxSplitter> </template>
<script> import JqxSplitter from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsplitter.vue';
|
panels
|
Array
|
[]
|
Sets or gets the panels property.
- size - sets the panel's size.
- min - sets the panel's minimum size.
- collapsible - sets whether the panel is collapsible.
- collapsed - sets whether the panel is collapsed.
<template> <JqxSplitter ref="mySplitter" :width="600" :height="600" :panels="panels"> <div>Left Side</div> <div>Right Side</div> </JqxSplitter> </template>
<script> import JqxSplitter from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsplitter.vue'; export default { components: { JqxSplitter }, data: function () { return { panels: [{ size: 100 }, { size: 200 }]
|
resizable
|
Boolean
|
true
|
Sets or gets the resizable property. When this property is set to false, the user will not be able to move the split bar.
<template> <JqxSplitter ref="mySplitter" :width="600" :height="600" :resizable="false"> <div>Left Side</div> <div>Right Side</div> </JqxSplitter> </template>
<script> import JqxSplitter from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsplitter.vue';
|
splitBarSize
|
Number
|
5
|
Sets or gets the size of the split bar.
<template> <JqxSplitter ref="mySplitter" :width="600" :height="600" :splitBarSize="10"> <div>Left Side</div> <div>Right Side</div> </JqxSplitter> </template>
<script> import JqxSplitter from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsplitter.vue';
|
showSplitBar
|
Boolean
|
true
|
Sets or gets whether the split bar is displayed.
<template> <JqxSplitter ref="mySplitter" :width="600" :height="600" :showSplitBar="false"> <div>Left Side</div> <div>Right Side</div> </JqxSplitter> </template>
<script> import JqxSplitter from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsplitter.vue';
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxSplitter ref="mySplitter" :width="600" :height="600" :theme="'material'"> <div>Left Side</div> <div>Right Side</div> </JqxSplitter> </template>
<script> import JqxSplitter from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsplitter.vue';
|
width
|
Number | String
|
300
|
Sets or gets the jqxSplitter's width.
<template> <JqxSplitter ref="mySplitter" :width="600" :height="600"> <div>Left Side</div> <div>Right Side</div> </JqxSplitter> </template>
<script> import JqxSplitter from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsplitter.vue';
|
|
collapsed
|
Event
|
|
This event is triggered when a panel is collapsed.
Code examples
Bind to the collapsed event of jqxSplitter.
<template> <JqxSplitter ref="mySplitter" @collapsed="onCollapsed($event)" :width="600" :height="600"> <div>Left Side</div> <div>Right Side</div> </JqxSplitter> </template>
<script> import JqxSplitter from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsplitter.vue'; export default { components: { JqxSplitter }, methods: { onCollapsed: function (event) { alert( 'do something...');
|
expanded
|
Event
|
|
This event is triggered when a panel is expanded.
Code examples
Bind to the expanded event of jqxSplitter.
<template> <JqxSplitter ref="mySplitter" @expanded="onExpanded($event)" :width="600" :height="600"> <div>Left Side</div> <div>Right Side</div> </JqxSplitter> </template>
<script> import JqxSplitter from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsplitter.vue'; export default { components: { JqxSplitter }, methods: { onExpanded: function (event) { alert( 'do something...');
|
resize
|
Event
|
|
This event is triggered when the 'resize' operation has ended.
Code examples
Bind to the resize event of jqxSplitter.
<template> <JqxSplitter ref="mySplitter" @resize="onResize($event)" :width="600" :height="600"> <div>Left Side</div> <div>Right Side</div> </JqxSplitter> </template>
<script> import JqxSplitter from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsplitter.vue'; export default { components: { JqxSplitter }, methods: { onResize: function (event) { alert( 'do something...');
|
resizeStart
|
Event
|
|
This event is triggered when the 'resizeStart' operation has started.
Code examples
Bind to the resizeStart event of jqxSplitter.
<template> <JqxSplitter ref="mySplitter" @resizeStart="onResizeStart($event)" :width="600" :height="600"> <div>Left Side</div> <div>Right Side</div> </JqxSplitter> </template>
<script> import JqxSplitter from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsplitter.vue'; export default { components: { JqxSplitter }, methods: { onResizeStart: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
collapse
|
None
|
None
|
Collapse a panel.
<template> <JqxSplitter ref="mySplitter" :width="600" :height="600"> <div>Left Side</div> <div>Right Side</div> </JqxSplitter> </template>
<script> import JqxSplitter from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsplitter.vue'; export default { components: { JqxSplitter }, mounted: function () { this.$refs.mySplitter.collapse();
|
destroy
|
None
|
None
|
Destroys the jqxSplitter. This method will remove the jqxSplitter from the DOM and will remove all internal event handlers and styles.
<template> <JqxSplitter ref="mySplitter" :width="600" :height="600"> <div>Left Side</div> <div>Right Side</div> </JqxSplitter> </template>
<script> import JqxSplitter from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsplitter.vue'; export default { components: { JqxSplitter }, mounted: function () { this.$refs.mySplitter.destroy();
|
disable
|
None
|
None
|
Disables the jqxSplitter.
<template> <JqxSplitter ref="mySplitter" :width="600" :height="600"> <div>Left Side</div> <div>Right Side</div> </JqxSplitter> </template>
<script> import JqxSplitter from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsplitter.vue'; export default { components: { JqxSplitter }, mounted: function () { this.$refs.mySplitter.disable();
|
enable
|
None
|
None
|
Enables the jqxSplitter.
<template> <JqxSplitter ref="mySplitter" :width="600" :height="600"> <div>Left Side</div> <div>Right Side</div> </JqxSplitter> </template>
<script> import JqxSplitter from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsplitter.vue'; export default { components: { JqxSplitter }, mounted: function () { this.$refs.mySplitter.disabled = true; this.$refs.mySplitter.enable();
|
expand
|
None
|
None
|
Expands a panel.
<template> <JqxSplitter ref="mySplitter" :width="600" :height="600"> <div>Left Side</div> <div>Right Side</div> </JqxSplitter> </template>
<script> import JqxSplitter from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsplitter.vue'; export default { components: { JqxSplitter }, mounted: function () { this.$refs.mySplitter.expand();
|
render
|
None
|
None
|
Renders the jqxSplitter.
<template> <JqxSplitter ref="mySplitter" :width="600" :height="600"> <div>Left Side</div> <div>Right Side</div> </JqxSplitter> </template>
<script> import JqxSplitter from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsplitter.vue'; export default { components: { JqxSplitter }, mounted: function () { this.$refs.mySplitter.render();
|
refresh
|
None
|
None
|
Refreshes the jqxSplitter. This method will perform a layout and will arrange the split panels.
<template> <JqxSplitter ref="mySplitter" :width="600" :height="600"> <div>Left Side</div> <div>Right Side</div> </JqxSplitter> </template>
<script> import JqxSplitter from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsplitter.vue'; export default { components: { JqxSplitter }, mounted: function () { this.$refs.mySplitter.refresh();
|

Name | Type | Default |
---|---|---|
disabled | Boolean | false |
Sets or gets the import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSplitter #mySplitter [width]="850" [height]="480" [panels]="[{ size: 300 }]" [disabled]="true"> <div class="splitter-panel"> Panel 1 </div> <div class="splitter-panel"> Panel 2 </div> </jqxSplitter> ` }) export class AppComponent { } |
||
height | String | Number | 300 |
Sets or gets the import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSplitter #mySplitter [width]="850" [height]="480" [panels]="[{ size: 300 }]"> <div class="splitter-panel"> Panel 1 </div> <div class="splitter-panel"> Panel 2 </div> </jqxSplitter> ` }) export class AppComponent { } |
||
orientation | enum:SplitterOrientation | 'vertical' |
enum SplitterOrientation {
horizontal, vertical } Sets or gets the import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSplitter #mySplitter [width]="850" [height]="480" [panels]="[{ size: 300 }]" [orientation]="'horizontal'"> <div class="splitter-panel"> Panel 1 </div> <div class="splitter-panel"> Panel 2 </div> </jqxSplitter> ` }) export class AppComponent { } |
||
panels | Array<SplitterPanel> | [] |
interface SplitterPanel {
size?: Number | String; min?: Number | String; collapsible?: Boolean; collapsed?: Boolean; } Sets or gets the import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSplitter #mySplitter [width]="850" [height]="480" [panels]="[{ size: 300 }]"> <div class="splitter-panel"> Panel 1 </div> <div class="splitter-panel"> Panel 2 </div> </jqxSplitter> ` }) export class AppComponent { } |
||
resizable | Boolean | true |
Sets or gets the import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSplitter #mySplitter [width]="850" [height]="480" [panels]="[{ size: 300 }]" [resizable]="false"> <div class="splitter-panel"> Panel 1 </div> <div class="splitter-panel"> Panel 2 </div> </jqxSplitter> ` }) export class AppComponent { } |
||
splitBarSize | Number | 5 |
Sets or gets the import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSplitter #mySplitter [width]="850" [height]="480" [panels]="[{ size: 300 }]" [splitBarSize]="10"> <div class="splitter-panel"> Panel 1 </div> <div class="splitter-panel"> Panel 2 </div> </jqxSplitter> ` }) export class AppComponent { } |
||
showSplitBar | Boolean | true |
Sets or gets the import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSplitter #mySplitter [width]="850" [height]="480" [panels]="[{ size: 300 }]" [showSplitBar]="false"> <div class="splitter-panel"> Panel 1 </div> <div class="splitter-panel"> Panel 2 </div> </jqxSplitter> ` }) export class AppComponent { } |
||
theme | String | '' |
Sets or gets the import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSplitter #mySplitter [width]="850" [height]="480" [panels]="[{ size: 300 }]" [theme]="'energyblue'"> <div class="splitter-panel"> Panel 1 </div> <div class="splitter-panel"> Panel 2 </div> </jqxSplitter> ` }) export class AppComponent { } |
||
width | String | Number | 300 |
Sets or gets the import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSplitter #mySplitter [width]="850" [height]="480" [panels]="[{ size: 300 }]"> <div class="splitter-panel"> Panel 1 </div> <div class="splitter-panel"> Panel 2 </div> </jqxSplitter> ` }) export class AppComponent { } |
||
Events |
||
collapsed | Event | |
This event is triggered when a panel is collapsed. Code examples
Bind to the
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSplitter #mySplitter(onCollapsed)="Collapsed($event)" [width]="850" [height]="480" [panels]="[{ size: 300 }]"> <div class="splitter-panel"> Panel 1 </div> <div class="splitter-panel"> Panel 2 </div> </jqxSplitter> ` }) export class AppComponent { Collapsed(event: any): void { // Do Something } |
||
expanded | Event | |
This event is triggered when a panel is expanded. Code examples
Bind to the
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSplitter #mySplitter(onExpanded)="Expanded($event)" [width]="850" [height]="480" [panels]="[{ size: 300 }]"> <div class="splitter-panel"> Panel 1 </div> <div class="splitter-panel"> Panel 2 </div> </jqxSplitter> ` }) export class AppComponent { Expanded(event: any): void { // Do Something } |
||
resize | Event | |
This event is triggered when the 'resize' operation has ended. Code examples
Bind to the
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSplitter #mySplitter(onResize)="Resize($event)" [width]="850" [height]="480" [panels]="[{ size: 300 }]"> <div class="splitter-panel"> Panel 1 </div> <div class="splitter-panel"> Panel 2 </div> </jqxSplitter> ` }) export class AppComponent { Resize(event: any): void { // Do Something } |
||
resizeStart | Event | |
This event is triggered when the 'resizeStart' operation has started. Code examples
Bind to the
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSplitter #mySplitter(onResizeStart)="ResizeStart($event)" [width]="850" [height]="480" [panels]="[{ size: 300 }]"> <div class="splitter-panel"> Panel 1 </div> <div class="splitter-panel"> Panel 2 </div> </jqxSplitter> ` }) export class AppComponent { ResizeStart(event: any): void { // Do Something } |
||
Methods |
||
Name | Return Type | Arguments |
collapse | Void | None |
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSplitter #mySplitter [width]="850" [height]="480" [panels]="[{ size: 300 }]"> <div class="splitter-panel"> Panel 1 </div> <div class="splitter-panel"> Panel 2 </div> </jqxSplitter> ` }) export class AppComponent implements AfterViewInit { @ViewChild('mySplitter') mySplitter: jqxSplitterComponent; |
||
destroy | Void | None |
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSplitter #mySplitter [width]="850" [height]="480" [panels]="[{ size: 300 }]"> <div class="splitter-panel"> Panel 1 </div> <div class="splitter-panel"> Panel 2 </div> </jqxSplitter> ` }) export class AppComponent implements AfterViewInit { @ViewChild('mySplitter') mySplitter: jqxSplitterComponent; |
||
disable | Void | None |
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSplitter #mySplitter [width]="850" [height]="480" [panels]="[{ size: 300 }]"> <div class="splitter-panel"> Panel 1 </div> <div class="splitter-panel"> Panel 2 </div> </jqxSplitter> ` }) export class AppComponent implements AfterViewInit { @ViewChild('mySplitter') mySplitter: jqxSplitterComponent; |
||
enable | Void | None |
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSplitter #mySplitter [width]="850" [height]="480" [panels]="[{ size: 300 }]"> <div class="splitter-panel"> Panel 1 </div> <div class="splitter-panel"> Panel 2 </div> </jqxSplitter> ` }) export class AppComponent implements AfterViewInit { @ViewChild('mySplitter') mySplitter: jqxSplitterComponent; |
||
expand | Void | None |
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSplitter #mySplitter [width]="850" [height]="480" [panels]="[{ size: 300 }]"> <div class="splitter-panel"> Panel 1 </div> <div class="splitter-panel"> Panel 2 </div> </jqxSplitter> ` }) export class AppComponent implements AfterViewInit { @ViewChild('mySplitter') mySplitter: jqxSplitterComponent; |
||
render | Void | None |
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSplitter #mySplitter [width]="850" [height]="480" [panels]="[{ size: 300 }]"> <div class="splitter-panel"> Panel 1 </div> <div class="splitter-panel"> Panel 2 </div> </jqxSplitter> ` }) export class AppComponent implements AfterViewInit { @ViewChild('mySplitter') mySplitter: jqxSplitterComponent; |
||
refresh | Void | None |
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSplitter #mySplitter [width]="850" [height]="480" [panels]="[{ size: 300 }]"> <div class="splitter-panel"> Panel 1 </div> <div class="splitter-panel"> Panel 2 </div> </jqxSplitter> ` }) export class AppComponent implements AfterViewInit { @ViewChild('mySplitter') mySplitter: jqxSplitterComponent; |

Name | Type | Default |
disabled
|
boolean
|
false
|
Sets or gets the disabled property.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSplitter, { ISplitterProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsplitter'; class App extends React.PureComponent<{}, ISplitterProps> { private mySplitter = React.createRef<JqxSplitter>(); public render() { return ( <JqxSplitter ref={this.mySplitter} width={600} height={600} disabled={true}> <div>Left Side </div> <div>Right Side </div> </JqxSplitter> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
300
|
Sets or gets the jqxSplitter's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSplitter, { ISplitterProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsplitter'; class App extends React.PureComponent<{}, ISplitterProps> { private mySplitter = React.createRef<JqxSplitter>(); public render() { return ( <JqxSplitter ref={this.mySplitter} width={600} height={600}> <div>Left Side </div> <div>Right Side </div> </JqxSplitter> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
orientation
|
SplitterOrientation
|
'vertical'
|
SplitterOrientation: "horizontal" | "vertical"
Sets or gets the orientation property.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSplitter, { ISplitterProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsplitter'; class App extends React.PureComponent<{}, ISplitterProps> { private mySplitter = React.createRef<JqxSplitter>(); public render() { return ( <JqxSplitter ref={this.mySplitter} width={600} height={600} orientation={ 'horizontal'}> <div>Left Side </div> <div>Right Side </div> </JqxSplitter> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
panels
|
Array<SplitterPanel>
|
[]
|
Interface SplitterPanel { size?: number | string; min?: number | string; collapsible?: boolean; collapsed?: boolean; }
Sets or gets the panels property.
- size - sets the panel's size.
- min - sets the panel's minimum size.
- collapsible - sets whether the panel is collapsible.
- collapsed - sets whether the panel is collapsed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSplitter, { ISplitterProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsplitter'; class App extends React.PureComponent<{}, ISplitterProps> { private mySplitter = React.createRef<JqxSplitter>(); constructor(props: {}) { super(props); this.state = { panels: [{ size: 100 }, { size: 200 }] } } public render() { return ( <JqxSplitter ref={this.mySplitter} width={600} height={600} panels={this.state.panels}> <div>Left Side </div> <div>Right Side </div> </JqxSplitter> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
resizable
|
boolean
|
true
|
Sets or gets the resizable property. When this property is set to false, the user will not be able to move the split bar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSplitter, { ISplitterProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsplitter'; class App extends React.PureComponent<{}, ISplitterProps> { private mySplitter = React.createRef<JqxSplitter>(); public render() { return ( <JqxSplitter ref={this.mySplitter} width={600} height={600} resizable={false}> <div>Left Side </div> <div>Right Side </div> </JqxSplitter> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
splitBarSize
|
number
|
5
|
Sets or gets the size of the split bar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSplitter, { ISplitterProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsplitter'; class App extends React.PureComponent<{}, ISplitterProps> { private mySplitter = React.createRef<JqxSplitter>(); public render() { return ( <JqxSplitter ref={this.mySplitter} width={600} height={600} splitBarSize={10}> <div>Left Side </div> <div>Right Side </div> </JqxSplitter> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showSplitBar
|
boolean
|
true
|
Sets or gets whether the split bar is displayed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSplitter, { ISplitterProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsplitter'; class App extends React.PureComponent<{}, ISplitterProps> { private mySplitter = React.createRef<JqxSplitter>(); public render() { return ( <JqxSplitter ref={this.mySplitter} width={600} height={600} showSplitBar={false}> <div>Left Side </div> <div>Right Side </div> </JqxSplitter> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSplitter, { ISplitterProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsplitter'; class App extends React.PureComponent<{}, ISplitterProps> { private mySplitter = React.createRef<JqxSplitter>(); public render() { return ( <JqxSplitter ref={this.mySplitter} width={600} height={600} theme={ 'material'}> <div>Left Side </div> <div>Right Side </div> </JqxSplitter> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
300
|
Sets or gets the jqxSplitter's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSplitter, { ISplitterProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsplitter'; class App extends React.PureComponent<{}, ISplitterProps> { private mySplitter = React.createRef<JqxSplitter>(); public render() { return ( <JqxSplitter ref={this.mySplitter} width={600} height={600}> <div>Left Side </div> <div>Right Side </div> </JqxSplitter> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
collapsed
|
Event
|
|
This event is triggered when a panel is collapsed.
Code examples
Bind to the collapsed event of jqxSplitter.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSplitter, { ISplitterProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsplitter'; class App extends React.PureComponent<{}, ISplitterProps> { private mySplitter = React.createRef<JqxSplitter>(); public render() { return ( <JqxSplitter ref={this.mySplitter} onCollapsed={this.onCollapsed} width={600} height={600}> <div>Left Side </div> <div>Right Side </div> </JqxSplitter> ); } private onCollapsed(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
expanded
|
Event
|
|
This event is triggered when a panel is expanded.
Code examples
Bind to the expanded event of jqxSplitter.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSplitter, { ISplitterProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsplitter'; class App extends React.PureComponent<{}, ISplitterProps> { private mySplitter = React.createRef<JqxSplitter>(); public render() { return ( <JqxSplitter ref={this.mySplitter} onExpanded={this.onExpanded} width={600} height={600}> <div>Left Side </div> <div>Right Side </div> </JqxSplitter> ); } private onExpanded(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
resize
|
Event
|
|
This event is triggered when the 'resize' operation has ended.
Code examples
Bind to the resize event of jqxSplitter.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSplitter, { ISplitterProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsplitter'; class App extends React.PureComponent<{}, ISplitterProps> { private mySplitter = React.createRef<JqxSplitter>(); public render() { return ( <JqxSplitter ref={this.mySplitter} onResize={this.onResize} width={600} height={600}> <div>Left Side </div> <div>Right Side </div> </JqxSplitter> ); } private onResize(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
resizeStart
|
Event
|
|
This event is triggered when the 'resizeStart' operation has started.
Code examples
Bind to the resizeStart event of jqxSplitter.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSplitter, { ISplitterProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsplitter'; class App extends React.PureComponent<{}, ISplitterProps> { private mySplitter = React.createRef<JqxSplitter>(); public render() { return ( <JqxSplitter ref={this.mySplitter} onResizeStart={this.onResizeStart} width={600} height={600}> <div>Left Side </div> <div>Right Side </div> </JqxSplitter> ); } private onResizeStart(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
collapse
|
None
|
|
Collapse a panel.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSplitter, { ISplitterProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsplitter'; class App extends React.PureComponent<{}, ISplitterProps> { private mySplitter = React.createRef<JqxSplitter>(); public componentDidMount(): void { this.mySplitter.current!.collapse(); } public render() { return ( <JqxSplitter ref={this.mySplitter} width={600} height={600}> <div>Left Side </div> <div>Right Side </div> </JqxSplitter> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
destroy
|
None
|
|
Destroys the jqxSplitter. This method will remove the jqxSplitter from the DOM and will remove all internal event handlers and styles.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSplitter, { ISplitterProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsplitter'; class App extends React.PureComponent<{}, ISplitterProps> { private mySplitter = React.createRef<JqxSplitter>(); public componentDidMount(): void { this.mySplitter.current!.destroy(); } public render() { return ( <JqxSplitter ref={this.mySplitter} width={600} height={600}> <div>Left Side </div> <div>Right Side </div> </JqxSplitter> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disable
|
None
|
|
Disables the jqxSplitter.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSplitter, { ISplitterProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsplitter'; class App extends React.PureComponent<{}, ISplitterProps> { private mySplitter = React.createRef<JqxSplitter>(); public componentDidMount(): void { this.mySplitter.current!.disable(); } public render() { return ( <JqxSplitter ref={this.mySplitter} width={600} height={600}> <div>Left Side </div> <div>Right Side </div> </JqxSplitter> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enable
|
None
|
|
Enables the jqxSplitter.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSplitter, { ISplitterProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsplitter'; class App extends React.PureComponent<{}, ISplitterProps> { private mySplitter = React.createRef<JqxSplitter>(); public componentDidMount(): void { this.mySplitter.current!.enable(); } public render() { return ( <JqxSplitter ref={this.mySplitter} width={600} height={600}> <div>Left Side </div> <div>Right Side </div> </JqxSplitter> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
expand
|
None
|
|
Expands a panel.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSplitter, { ISplitterProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsplitter'; class App extends React.PureComponent<{}, ISplitterProps> { private mySplitter = React.createRef<JqxSplitter>(); public componentDidMount(): void { this.mySplitter.current!.expand(); } public render() { return ( <JqxSplitter ref={this.mySplitter} width={600} height={600}> <div>Left Side </div> <div>Right Side </div> </JqxSplitter> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
render
|
None
|
|
Renders the jqxSplitter.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSplitter, { ISplitterProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsplitter'; class App extends React.PureComponent<{}, ISplitterProps> { private mySplitter = React.createRef<JqxSplitter>(); public componentDidMount(): void { this.mySplitter.current!.render(); } public render() { return ( <JqxSplitter ref={this.mySplitter} width={600} height={600}> <div>Left Side </div> <div>Right Side </div> </JqxSplitter> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
refresh
|
None
|
|
Refreshes the jqxSplitter. This method will perform a layout and will arrange the split panels.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSplitter, { ISplitterProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsplitter'; class App extends React.PureComponent<{}, ISplitterProps> { private mySplitter = React.createRef<JqxSplitter>(); public componentDidMount(): void { this.mySplitter.current!.refresh(); } public render() { return ( <JqxSplitter ref={this.mySplitter} width={600} height={600}> <div>Left Side </div> <div>Right Side </div> </JqxSplitter> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|